Bug 184503 - Amaya refuses to execute because of broken symlink
Amaya refuses to execute because of broken symlink
Product: Fedora
Classification: Fedora
Component: amaya (Show other bugs)
All Linux
medium Severity high
: ---
: ---
Assigned To: Aurelien Bompard
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2006-03-09 07:07 EST by Joachim Frieben
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-03-12 08:04:50 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
"amaya-9.1-11.fc5" file list (80.41 KB, text/plain)
2006-03-09 07:07 EST, Joachim Frieben
no flags Details

  None (edit)
Description Joachim Frieben 2006-03-09 07:07:15 EST
Created attachment 125869 [details]
"amaya-9.1-11.fc5" file list
Comment 1 Joachim Frieben 2006-03-09 07:07:15 EST
Description of problem:
Amaya refuses to execute because of broken symlink. The symbolic link
"amaya-gtk" is wrong and points nowhere:

  "amaya-gtk -> /usr/lib/Amaya-*/gtk/bin/amaya"

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Execute "amaya"
Actual results:
Shell reports "amaya: Command not found."

Expected results:
Amaya should execute as expected.

Additional info:
Apart from this bug in the spec file, it is puzzling that different
version numbers (8.7.2 and 9.1) appear in the package (see attached
file list). Moreover, the current release is already 9.4 and not 9.1.
Comment 2 Joachim Frieben 2006-03-09 07:22:57 EST
Once, the symlink link is set correctly:

   "amaya-gtk -> /usr/lib/Amaya-8.7.2/gtk/bin/amaya",

the program can be started. However, "Help -> About Amaya" reports it
to be version 8.7.2 and not even 9.1.
Comment 3 Aurelien Bompard 2006-03-12 08:04:50 EST
Fixed in release 12, thanks.

Note You need to log in before you can comment on or make changes to this bug.